Loading...
Searching...
No Matches
BondIterators.h File Reference

various tools for iterating over a molecule's Bonds More...

`#include <RDGeneral/export.h>`
`#include "ROMol.h"`

Go to the source code of this file.

## Classes

class | RDKit::BondIterator_
| iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess. More...
class | RDKit::ConstBondIterator_
| const iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess. More...

## Namespaces

namespace | RDKit
| Std stuff.

## Detailed Description

various tools for iterating over a molecule's Bonds

WARNING: If you go changing the molecule underneath one of these iterators you will be sad...

Definition in file BondIterators.h.